#
# kihon6.rb
#   $Id: kihon6.rb,v 1.2 2000/11/18 19:03:33 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 50
x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1)

#-- data ----
r = 3.7
x.indgen(1950.0, 1.0)
y[0] = 0.5
for n in 0..NMAX-1
  y[n+1] = r*y[n]*(1-y[n])
end

y = -4 * y + 20.0

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

grswnd(1950.0, 2000.0, 15.0, 20.0)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs
sgplu(NMAX+1, x, y)

grcls

